Ready For Approval
curl --request POST \
--url https://{host}/Agent/Legal/ReadyForApproval \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyId": "<string>",
"legalId": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
'import requests
url = "https://{host}/Agent/Legal/ReadyForApproval"
payload = {
"keyId": "<string>",
"legalId": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyId: '<string>',
legalId: '<string>',
nonce: '<string>',
keySignature: '<string>',
requestSignature: '<string>'
})
};
fetch('https://{host}/Agent/Legal/ReadyForApproval', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Identity": {}
}Legal and contracts
Ready For Approval
When an ID application is ready (all attachments have been signed and uploaded), the client can call this resource to flag the application as ready for approval.
POST
/
Agent
/
Legal
/
ReadyForApproval
Ready For Approval
Overview
When an ID application is ready (all attachments have been signed and uploaded), the client can call this resource to flag the application as ready for approval. This will execute any automated onboarding procedures to analyze the application, and, if passing them, will take the identity to the approved state. They can also take the application to the rejected state, in case they find the information invalid.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Success
⌘I